> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truthlocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Beleg prägen

> Erstellen Sie ein kryptografisch signiertes, im Transparenzprotokoll verankertes Belegereignis.

Erstellt ein kryptografisch signiertes, im Transparenzprotokoll verankertes Empfangsereignis. Belege werden vor der Signatur anhand des registrierten Belegtypschemas validiert.

### Belegtypen

| Typ | Name | Erforderliche Felder |
| - | - | - |
| `payment_receipt` | Zahlungsbeleg | `amount`, `currency`, `provider`, `provider_reference`, `subject` |
| `security_event_receipt` | Sicherheitsereignisbeleg | `event_type`, `severity`, `subject`, `outcome` |
| `delivery_receipt` | Lieferbeleg | `item_reference`, `recipient`, `delivery_method`, `delivered_at` |
| `compliance_receipt` | Compliance-Beleg | `check_type`, `subject`, `result`, `framework` |
| `custom_receipt` | Benutzerdefinierter Beleg | `subject`, `event` |

## Header

## Antwort

**receipt\_id** `string`

UUID des erstellten Belegs.

**receipt\_type** `string`

Der Name des Belegtyps.

**status** `string`

`active`

**issuer\_id** `string`

UUID des signierenden Ausstellers.

**subject** `string`

Subjekt-Identifikator.

**signature** `object`

Kryptografische Signatur: `alg`, `kid`, `value`.

**issued\_at** `string`

ISO 8601 Zeitstempel.

### Webhook-Ereignis

Ein `receipt.created` Webhook-Ereignis wird nach einem erfolgreichen Mint an alle konfigurierten Endpunkte zugestellt.


## OpenAPI

````yaml de/mint-openapi.yaml POST /v1/receipts
openapi: 3.0.3
info:
  title: Truthlocks API
  description: >
    Truthlocks ist eine universelle Verifizierungsinfrastruktur für Dokumente,
    Anmeldeinformationen und digitale Assets.

    Diese Spezifikation definiert die kanonische API für die Interaktion mit
    Truthlocks-Diensten.


    ## Basis-URLs

    - **Produktion**: `https://api.truthlocks.com`

    - **Sandbox**: `https://sandbox-api.truthlocks.com`


    ## Authentifizierung

    - **API-Schlüssel**: Verwenden Sie den Header `X-API-Key` für
    Machine-to-Machine-Operationen

    - **Bearer Tokens**: Verwenden Sie `Authorization: Bearer <jwt>` für
    benutzerinitiierte Operationen


    ## Mandantenidentität

    In der Produktion wird die Mandantenidentität aus dem authentifizierten
    Kontext (API-Schlüssel oder JWT) abgeleitet.

    Der Header `X-Tenant-ID` wird in der Produktion ignoriert, um Spoofing zu
    verhindern.
  version: 1.0.0
  contact:
    name: Truthlocks Support
    url: https://truthlocks.com/support
    email: support@truthlocks.com
servers:
  - url: https://api.truthlocks.com
    description: Produktions-API
  - url: https://sandbox-api.truthlocks.com
    description: Sandbox-Umgebung
security:
  - APIKey: []
  - BearerAuth: []
tags:
  - name: Authentication
    description: API-Schlüssel- und Token-Verwaltung
  - name: Issuers
    description: Ausstellerregistrierung und Vertrauensmanagement
  - name: Keys
    description: Kryptographische Schlüsselverwaltung für Aussteller
  - name: Attestations
    description: Bestätigungslebenszyklus (prägen, widerrufen, ersetzen)
  - name: Verification
    description: Bestätigungsverifizierung und Proof-Bundles
  - name: Governance
    description: Aussteller-Governance-Workflows (nur Admin)
  - name: Identity
    description: Organisations-, Benutzer- und Rollenverwaltung
  - name: Audit
    description: Audit-Ereignisabfragen
  - name: Tenant Console
    description: Mandantenprofil- und Lebenszyklus-Endpunkte
  - name: Health
    description: Endpunkte für Dienststatus und Bereitschaft
  - name: Risk
    description: Erfassung von Risikosignalen und Betrugserkennung
  - name: Risk Enforcement
    description: >-
      Risikodurchsetzungsmaßnahmen – Blockieren, Herausfordern, Quarantäne und
      Konfiguration
  - name: Billing
    description: Verwaltung von Abrechnung, Abonnements und Add-ons
  - name: Machine Identity
    description: >-
      Machine Agent Identity Protocol (MAIP) – Agentenregistrierung, Sitzungen,
      Vertrauen, Zeugen, Compliance, Orchestrierung und Beobachtbarkeit
externalDocs:
  description: Transparenz-API nur lesend (separate Dienstspezifikation)
  url: >-
    https://github.com/truthlocks/truthlock/blob/main/docs/transparency/openapi.yaml
paths:
  /v1/receipts:
    post:
      tags:
        - Receipts
      summary: Beleg prägen
      description: >-
        Erstellt ein kryptografisch signiertes, im Transparenzprotokoll
        verankertes Empfangsereignis.
      operationId: receipts.mint
      parameters:
        - name: Idempotency-Key
          in: header
          required: true
          schema:
            type: string
          description: UUID für idempotentes Minting
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                alg:
                  $ref: '#/components/schemas/SigningAlgorithm'
                  description: Signaturalgorithmus, der dem Schlüssel entspricht.
                issuer_id:
                  type: string
                  description: UUID des Ausstellers, der den Beleg signiert
                kid:
                  type: string
                  description: Schlüssel-ID des Signierschlüssels
                metadata:
                  description: Optionale Metadaten
                payload:
                  description: Beleg-Payload gegen Schema validiert
                receipt_type:
                  type: string
                  description: Name des Belegtyps
                receipt_version:
                  type: string
                retention_policy:
                  type: string
                subject:
                  type: string
                  description: Subjekt-Identifikator
              type: object
              required:
                - issuer_id
                - kid
                - receipt_type
                - subject
                - payload
      responses:
        '201':
          description: Beleg erstellt
          content:
            application/json:
              schema:
                type: object
                properties:
                  receipt_id:
                    type: string
                  receipt_type:
                    type: string
                  status:
                    type: string
                  issuer_id:
                    type: string
                  subject:
                    type: string
                  signature:
                    type: object
                    properties:
                      alg:
                        type: string
                      kid:
                        type: string
                      value:
                        type: string
                  issued_at:
                    type: string
        '401':
          description: Authentifizierung erforderlich
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '422':
          description: Schema-Validierungsfehler
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
      security:
        - APIKey: []
components:
  schemas:
    SigningAlgorithm:
      type: string
      enum:
        - Ed25519
        - ES256
        - ES384
        - ES512
        - RS256
        - RS384
        - RS512
        - PS256
        - PS384
        - PS512
      description: Signaturalgorithmus für die Schlüsselgenerierung
    ErrorEnvelope:
      type: object
      required:
        - code
        - message
        - http_status
      properties:
        code:
          type: string
          description: Maschinenlesbarer Fehlercode
          enum:
            - AUTH_REQUIRED
            - AUTH_INVALID
            - PERMISSION_DENIED
            - TENANT_IDENTITY_UNVERIFIED
            - NOT_FOUND
            - VALIDATION_ERROR
            - CONFLICT
            - PAYLOAD_TOO_LARGE
            - RATE_LIMIT_EXCEEDED
            - QUOTA_EXCEEDED
            - SERVICE_UNAVAILABLE
            - INTERNAL_ERROR
        message:
          type: string
          description: Menschenlesbare Fehlermeldung
        http_status:
          type: integer
          description: HTTP-Statuscode
        retry_after_ms:
          type: integer
          description: >-
            Millisekunden, die vor einem erneuten Versuch gewartet werden sollen
            (für Ratenbegrenzungen)
        details:
          type: object
          description: Zusätzlicher Fehlerkontext
      example:
        code: AUTH_REQUIRED
        message: Authentication required
        http_status: 401
  securitySchemes:
    APIKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: API-Schlüssel für die Maschine-zu-Maschine-Authentifizierung
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT für benutzerinitiierte Operationen

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.